Bug 1081692 - (CVE-2018-7253) VUL-1: CVE-2018-7253: wavpack: The ParseDsdiffHeaderConfig function of the cli/dsdiff.c file allows a remote attacker to cause a denial-of-service (heap-based bufferover-read) or possibly overwrite the heap via a maliciously crafted file
(CVE-2018-7253)
VUL-1: CVE-2018-7253: wavpack: The ParseDsdiffHeaderConfig function of the cl...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Stanislav Brabec
Security Team bot
https://smash.suse.de/issue/200448/
CVSSv3.1:SUSE:CVE-2018-7253:4.0:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-20 08:43 UTC by Karol Babioch
Modified: 2022-02-13 11:36 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-02-20 08:43:28 UTC
CVE-2018-7253

The ParseDsdiffHeaderConfig function of the cli/dsdiff.c file of WavPack 5.1.0
allows a remote attacker to cause a denial-of-service (heap-based buffer
over-read) or possibly overwrite the heap via a maliciously crafted DSDIFF file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-7253
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889559
http://www.cvedetails.com/cve/CVE-2018-7253/
https://github.com/dbry/WavPack/issues/28
https://github.com/dbry/WavPack/commit/36a24c7881427d2e1e4dc1cef58f19eee0d13aec
Comment 1 Karol Babioch 2018-02-20 09:07:27 UTC
cli/dsdiff.c was only introduced with version 5.0, so only openSUSE:Factory is affected.
Comment 2 Karol Babioch 2018-02-20 09:08:37 UTC
https://build.opensuse.org/request/show/578281
Comment 3 Karol Babioch 2018-02-28 09:26:42 UTC
Fixed in Factory: https://build.opensuse.org/request/show/578288